#pragma once
#include "DirectXCore.h"

class GlobalLighting
{
public:
	GlobalLighting();
	~GlobalLighting();

	void SetAmbientLight(XMFLOAT4 ambientLight);
	XMFLOAT4 GetAmbientLight() const;
	void SetDirectionalLight(FXMVECTOR direction, XMFLOAT4 lightColor);
	XMVECTOR GetDirectionalLightDirection() const;
	XMFLOAT4 GetDirectionalLightColor() const;


private:
	XMFLOAT4			_ambientLight;
	XMVECTOR			_directionalLightVector;
	XMFLOAT4			_directionalLightColor;
};